Show / Hide Table of Contents

# Class MenuBarItem

A menu bar item contains other menu items.

##### Inheritance

System.Object
MenuBarItem

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class MenuBarItem

### Constructors

#### MenuBarItem(ustring, MenuItem[])

##### Declaration

    public MenuBarItem (NStack.ustring title, Terminal.Gui.MenuItem[] children);

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | To be added.
MenuItem[] | children | To be added.

### Properties

#### Children

Gets or sets the children for this MenuBarItem

##### Declaration

    public Terminal.Gui.MenuItem[] Children { get; set; }

##### Property Value

Type | Description
--- | ---
MenuItem[] | The children.

#### Title

Gets or sets the title to display.

##### Declaration

    public NStack.ustring Title { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring | The title.